### Method

# Gegl Rectangle subtract

#### Declaration [src]

    gint
    gegl_rectangle_subtract (
      GeglRectangle* destination,
      const GeglRectangle* minuend,
      const GeglRectangle* subtrahend
    )

#### Description [src]

Subtracts `subtrahend` from `minuend`, and stores the resulting rectangles in `destination`. Between 0 and 4 disjoint rectangles may be produced.

`destination` may contain `minuend` or `subtrahend`.

Returns the number of resulting rectangles.

#### Parameters

`minuend`

  Type: `GeglRectangle`

  A `GeglRectangle`.

  The data is owned by the caller of the method.

`subtrahend`

  Type: `GeglRectangle`

  A `GeglRectangle`.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

No description available.